/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.core.platform.osgi;

import org.osgi.framework.Bundle;
import org.apache.muse.core.Environment;

/**
 *
 * OSGiEnvironment an extension of the Muse core's <code>Environment</code> 
 * interface.
 *
 * @see org.apache.muse.core.Environment
 * @author Joel Hawkins (joelh)
 *
 */

public interface OSGiEnvironment extends Environment {

	/**
	 * gets the current Bundle for the caller's thread.
	 * @return the Bundle corresponding to the caller's execution context. 
	 */
	Bundle getThreadLocalBundle();

	/**
	 * sets the Bundle for the caller's executing context.
	 * @param bundle the Bundle to be used for the executing Thread's context 
	 */
	void setThreadLocalBundle(Bundle bundle);
}
