/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/


package org.apache.muse.core.platform.osgi;

/**
*
* OSGiPlatformConstants defines the constants used in Muse-enabled Bundle Manifests
*
* @author Joel Hawkins (joelh)
*
*/

public interface OSGiPlatformConstants {
	/**
	 * the header describing the location of the muse.xml file relative to the 
	 * Bundle's classpath
	 */
	public final String MANAGEMENT_MANIFEST_HEADER = "MUSE-CONFIG";

	/**
	 * the header specifying the web application context to use when
	 * publishing the Bundle's management interfaces 
	 */
	public final String MANAGEMENT_CONTEXT_HEADER = "MUSE-CONTEXT";

}
