/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/


package org.apache.muse.core.platform.osgi.descriptor;

import org.apache.muse.core.descriptor.ResourceDefinition;
import org.apache.muse.core.Resource;
import org.osgi.framework.Bundle;

/**
 *
 * OSGiResourceDefinition is an OSGi-aware extension of the 
 * <code>ResourceDefinition</code> class. 
 *
 * @author Joel Hawkins (joelh)
 *
 */

public class OSGiResourceDefinition extends ResourceDefinition {

	/**
	 * the Bundle that owns the resource definition
	 */
	protected  Bundle bundle;

	/**
	 * Constructor
	 * @param bundle
	 */
	public OSGiResourceDefinition(Bundle bundle){
		this.bundle = bundle;
	}

	public Resource newInstance(){
		Resource instance = super.newInstance();
		return instance;
	}

}
