/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/


package org.apache.muse.core.platform.osgi.routing;

import org.apache.muse.core.Environment;
import org.apache.muse.core.Resource;
import org.apache.muse.core.ResourceManager;
import org.apache.muse.core.routing.ResourceRouter;
import org.apache.muse.ws.addressing.EndpointReference;
import org.apache.muse.ws.addressing.soap.SoapFault;
import org.apache.muse.core.platform.osgi.EnvironmentChangeListener;

/**
 *
 * ResourceRouterDelegate is ...
 *
 * @author Joel Hawkins (joelh)
 *
 */

public interface ResourceRouterDelegate {
	Resource getResource(EndpointReference epr) throws SoapFault;
	void initialize(ResourceManager manager, ResourceRouter parent);
	void addEnvironmentChangeListener(EnvironmentChangeListener listener);
	public void setEnvironment(Environment environment);
}
