/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.tools.generator.projectizer;

/**
 * Contains constant values for the <code>Axis2Projectizer</code>.
 *
 * @author Andrew Eberbach (aeberbac)
 *
 */
public interface Axis2ProjectizerConstants {		
	String TEMPLATE_DIR = "lib/axis2";	
	
	String DESCRIPTOR_FILE = "WEB-INF/classes/muse.xml";
	
	String SIMPLE_TEMPLATE_PATH = "WEB-INF/lib/simple.jar";
	    
	String LIB_DIR= "WEB-INF/lib/";
	
	String RESOURCES_DIR = "/resources/axis2/";
	
	String BUILD_FILE = "build.xml";
	
	String BUILD_FILE_RESOURCE = RESOURCES_DIR + "build.xml";
	
	String SERVICES_FILE = "WEB-INF/services/muse/META-INF/services.xml";
	
	String WEB_CONTENT_DIR = "WebContent";
	
	String JAVA_SRC_DIR = "JavaSource";
	
	String MUSE_HOME_PROPERTY = "MUSE_HOME";

	String WSDL_DIR = "WEB-INF/classes/wsdl";
	
	String WSDL_RELATIVE_PATH = "/wsdl/";

	String ROUTER_ENTRIES_DIR = "WEB-INF/classes/router-entries";

	String RESOURCE_FILE = "resource-instance-XXX.xml";

	String[] REQUIRED_MODULES = { "core", "axis2", "ws-fx-api", "ws-fx-impl"};

	String MODULES_DIR = "modules";

	String MUSE_LIB_DIR = "lib";
}
