/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.ws.resource;

import javax.xml.namespace.QName;

/**
 * 
 * WsrfConstants is a collection of constants defined in the WS-ResourceFramework 
 * spec, version 1.2. These values only pertain to the core WSRF spec, not the 
 * other four specs that build on top of it.
 *
 * @author Dan Jemiolo (danj)
 *
 */

public class WsrfConstants
{
    public static final String NAMESPACE_URI = "http://docs.oasis-open.org/wsrf/r-2";
    
    public static final String PREFIX = "wsrf-r";

    public static final String WSDL_NAMESPACE_URI = "http://docs.oasis-open.org/wsrf/rw-2";
    
    public static final String WSDL_PREFIX = "wsrf-rw";
    
    public static final QName RESOURCE_UNAVAILABLE_QNAME = 
        new QName(WSDL_NAMESPACE_URI, "ResourceUnavailableFault", WSDL_PREFIX);
    
    public static final QName RESOURCE_UNKNOWN_QNAME = 
        new QName(WSDL_NAMESPACE_URI, "ResourceUnknownFault", WSDL_PREFIX);
}
