/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.ws.resource.ext;

import javax.xml.namespace.QName;

/**
 * 
 * WsrfExtConstants is a collection of constants used by Muse to extend the 
 * base WSRF v1.2 spec. Most of the identifiers here are for common faults that 
 * happen frequently in the WSRP capability implementations.
 *
 * @author Dan Jemiolo (danj)
 *
 */

public class WsrfExtConstants
{
    public static final String NAMESPACE_URI = "http://ws.apache.org/muse/wsrf";
    
    public static final String PREFIX = "muse-wsrf";
    
    public static final QName INVALID_MESSAGE_FORMAT_QNAME = 
        new QName(NAMESPACE_URI, "InvalidMessageFormat", PREFIX);
    
    public static final QName METADATA_VALIDATION_ERROR_QNAME = 
        new QName(NAMESPACE_URI, "MetadataValidationFault", PREFIX);
    
    public static final QName RESOURCE_INITIALIZATION_QNAME = 
        new QName(NAMESPACE_URI, "ResourceInitializationFault", PREFIX);
    
    public static final QName SCHEMA_VALIDATION_ERROR_QNAME = 
        new QName(NAMESPACE_URI, "SchemaValidationFault", PREFIX);
    
    public static final QName SERIALIZATION_ERROR_QNAME = 
        new QName(NAMESPACE_URI, "SerializationErrorFault", PREFIX);
}
