/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.ws.resource.properties.get.impl;

import org.w3c.dom.Element;

import org.apache.muse.core.routing.AbstractMessageHandler;
import org.apache.muse.ws.addressing.soap.SoapFault;
import org.apache.muse.ws.resource.properties.WsrpConstants;

/**
 *
 * GetMultipleHandler is the parser for the WS-ResourceProperties 
 * GetMultipleResourceProperties operation.
 *
 * @author Dan Jemiolo (danj)
 *
 */

public class GetMultipleHandler extends AbstractMessageHandler
{
    public GetMultipleHandler()
    {
        super(WsrpConstants.GET_MULTIPLE_PROPERTIES_URI, WsrpConstants.GET_MULTIPLE_QNAME);
    }

    public Object[] fromXML(Element xml) 
        throws SoapFault
    {
        GetMultipleRequest request = new GetMultipleRequest(xml);
        return new Object[]{ request.getQNames() };
    }

    public Element toXML(Object result)
    {
        GetMultipleResponse get = new GetMultipleResponse((Element[])result);
        return get.toXML();
    }
}
