/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.ws.resource.properties.set.impl;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

import org.apache.muse.util.xml.XmlSerializable;
import org.apache.muse.util.xml.XmlUtils;
import org.apache.muse.ws.resource.properties.WsrpConstants;

/**
 *
 * SetResponse is a serializer/deserializer for the WS-ResourceProperties 
 * SetResourceProperties operation's response content.
 *
 * @author Dan Jemiolo (danj)
 *
 */

public class SetResponse implements XmlSerializable
{
    private static Element _xml = XmlUtils.createElement(WsrpConstants.SET_RESPONSE_QNAME);
    
    public String toString()
    {
        return XmlUtils.toString(toXML(), false);
    }
    
    public Element toXML()
    {
        return _xml;
    }
    
    public Element toXML(Document doc)
    {
        return (Element)doc.importNode(_xml, true);
    }
}
