/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.ws.metadata;

import javax.xml.namespace.QName;

import org.apache.muse.ws.wsdl.WsdlUtils;

/**
 *
 * WsxConstants is a collection of properties that is useful when programming 
 * against the WS-MetadataExchange spec. This class uses WS-MEX 09/2004.
 *
 * @author Dan Jemiolo (danj)
 *
 */

public class WsxConstants
{    
    public static final String NAMESPACE_URI = "http://schemas.xmlsoap.org/ws/2004/09/mex";
    
    public static final String PREFIX = "wsx";
    
    public static final String DIALECT = "Dialect";
    
    public static final QName DIALECT_QNAME = 
        new QName(NAMESPACE_URI, "Dialect", PREFIX);
    
    public static final String GET_METADATA_CAPABILITY = NAMESPACE_URI;
    
    public static final QName GET_METADATA_QNAME = 
        new QName(NAMESPACE_URI, "GetMetadata", PREFIX);
    
    public static final String GET_METADATA_URI = NAMESPACE_URI + "/GetMetadata";
    
    public static final QName METADATA_QNAME = 
        new QName(NAMESPACE_URI, "Metadata", PREFIX);
    
    public static final QName SECTION_QNAME = 
        new QName(NAMESPACE_URI, "MetadataSection", PREFIX);
    
    public static final String WSDL_DIALECT = WsdlUtils.NAMESPACE_URI;
}
