package org.apache.muse.ws.addressing.osgi;


import org.apache.muse.util.osgi.AbstractResourceManagementImplementation;
import org.osgi.framework.Bundle;
import org.osgi.framework.ServiceFactory;
import org.osgi.framework.ServiceRegistration;

/**
 * WSASOAPContribution is an implementation of the <code>ResourceManagementImplementation</code>
 * service interface for the WSA SOAP bundle.
 * 
 * @see ResourceManagementImplementation
 * @author Joel Hawkins (joelh)
 *
 */
public class WSASOAPContribution extends AbstractResourceManagementImplementation implements ServiceFactory {
	private static final String IMPLEMENTATION_NAME = "wsa-soap";
	
	private static final String[] RESOURCE_SPECS = { 
	"SOAP-Envelope-1_2.xsd",
	"WS-Addressing-2005_08.xsd",
	"XML-Namespace-1998.xsd"	
	};
	
	
	public WSASOAPContribution(Bundle bundle){
		super(bundle);
		this.implementationName = IMPLEMENTATION_NAME;
		this.resourceSpecNames = RESOURCE_SPECS;
	}
	

	public Object getService(Bundle bundle, ServiceRegistration registration) {
		return this;
	}

	public void ungetService(Bundle bundle, ServiceRegistration registration, Object service) {
	}
	
}
